namespace Stat.SQLServerDAL
{
    public class DALFactory : global::Stat.DALFactory.AbstractFactory
    {
        public override global::Stat.IDAL.IAD CreateAD()
        {
            return new AD();
        }

        public override global::Stat.IDAL.ICompany CreateCompany()
        {
            return new Company();
        }

        public override global::Stat.IDAL.IFriendLink CreateFriendLink()
        {
            return new FriendLink();
        }

        public override global::Stat.IDAL.IMessage CreateMessage()
        {
            return new Message();
        }

        public override global::Stat.IDAL.INavigate CreateNavigate()
        {
            return new Navigate();
        }

        public override global::Stat.IDAL.INews CreateNews()
        {
            return new News();
        }

        public override global::Stat.IDAL.INotify CreateNotify()
        {
            return new Notify();
        }

        public override global::Stat.IDAL.IStatTask CreateStat()
        {
            return new StatTask();
        }

        public override global::Stat.IDAL.IStmp CreateStmp()
        {
            return new Stmp();
        }

        public override global::Stat.IDAL.ISystems CreateSystems()
        {
            return new Systems();
        }

        public override global::Stat.IDAL.IUsers CreateUsers()
        {
            return new Users();
        }

        public override global::Stat.IDAL.IViewDay CreateViewDay()
        {
            return new ViewDay();
        }

        public override global::Stat.IDAL.IViewEngine CreateViewEngine()
        {
            return new ViewEngine();
        }

        public override global::Stat.IDAL.IViewEnginePageIndex CreateViewEnginePageIndex()
        {
            return new ViewEnginePageIndex();
        }

        public override global::Stat.IDAL.IViewHour CreateViewHour()
        {
            return new ViewHour();
        }

        public override global::Stat.IDAL.IViewClick CreateViewOnClick()
        {
            return new ViewClick();
        }

        public override global::Stat.IDAL.IViewOnClickPageIndex CreateViewOnClickPageIndex()
        {
            return new ViewOnClickPageIndex();
        }

        public override global::Stat.IDAL.IWebsitePageIndex CreateWebsitePageIndex()
        {
            return new WebsitePageIndex();
        }

        public override global::Stat.IDAL.IWebSites CreateWebSites()
        {
            return new WebSites();
        }

        public override global::Stat.IDAL.IIP CreateIP()
        {
            return new IP();
        }


        public override global::Stat.IDAL.IDatabase CreateDatabase()
        {
            return new Database();
        }

        public override global::Stat.IDAL.ILog CreateLog()
        {
            return new Log();
        }

        public override Stat.IDAL.IWebsiteStructure CreateWebsiteStructure()
        {
            return new WebsiteStructure();
        }
        public override Stat.IDAL.IViewBrowser CreateViewBrowser()
        {
            return new ViewBrowser();
        }
        public override Stat.IDAL.IViewSystem CreateViewSystem()
        {
            return new ViewSystem();
        }
        public override Stat.IDAL.IViewResolve CreateViewResolve()
        {
            return new ViewResolve();
        }
        public override Stat.IDAL.IViewLanguage CreateViewLanguage()
        {
            return new ViewLanguage();
        }

        public override Stat.IDAL.IViewColorDepth CreateViewColorDepth()
        {
            return new ViewColorDepth();
        }

        public override Stat.IDAL.IViewReturnuser CreateViewReturnuser()
        {
            return new ViewReturnuser();
        }
        public override Stat.IDAL.IViewClrVersion CreateViewClrVersion()
        {
            return new ViewClrVersion();
        }
        public override Stat.IDAL.IViewColumn CreateViewColumn()
        {
            return new ViewColumn();
        }
        public override Stat.IDAL.IViewContent CreateViewContent()
        {
            return new ViewContent();
        }
        public override Stat.IDAL.IViewAlexa CreateViewAlexa()
        {
            return new ViewAlexa();
        }
        public override Stat.IDAL.IViewJavaApplet CreateViewJavaApplet()
        {
            return new ViewJavaApplet();
        }
        public override Stat.IDAL.IViewUrlPage CreateViewUrlPage()
        {
            return new ViewUrlPage();
        }

        public override Stat.IDAL.IViewDomain CreateViewDomain()
        {
            return new ViewDomain();
        }

        public override Stat.IDAL.IViewUrlFrom CreateViewUrlFrom()
        {
            return new ViewUrlFrom();
        }
        public override Stat.IDAL.IViewRclass CreateViewRclass()
        {
            return new ViewRclass();
        }

        public override Stat.IDAL.IViewTop CreateViewTop()
        {
            return new ViewTop();
        }
        public override Stat.IDAL.IViewIP CreateViewIP()
        {
            return new ViewIP();
        }

        public override Stat.IDAL.ICommon CreateCommon()
        {
            return new Common();
        }

        public override Stat.IDAL.IViewTele CreateTele()
        {
            return new ViewTele();
        }

        public override Stat.IDAL.IViewProvince CreateProvince()
        {
            return new ViewProvince();
        }

        public override Stat.IDAL.IViewEnter CreateEnter()
        {
            return new ViewEnter();
        }

        public override Stat.IDAL.IViewExit CreateExit()
        {
            return new ViewExit();
        }

        public override Stat.IDAL.IViewOnLine CreateOnLine()
        {
            return new ViewOnLine();
        }

        public override Stat.IDAL.IGatherServer CreateGatherServer()
        {
            return new GatherServer();
        }
    }
}
